Eclipse Platform Release 3.7

## org.eclipse.update.configuration
Interface IConfiguredSiteChangedListener

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IConfiguredSiteChangedListener

Configuration change listener. *

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` `featureConfigured(IFeature feature)` Deprecated. Indicates the specified feature was configured.
`void` `featureInstalled(IFeature feature)` Deprecated. Indicates the specified feature was installed.
`void` `featureRemoved(IFeature feature)` Deprecated. Indicates the specified feature was removed (uninstalled)
`void` `featureUnconfigured(IFeature feature)` Deprecated. Indicates the specified feature was unconfigured.

Method Detail

### featureInstalled

    void featureInstalled(IFeature feature)

  Deprecated.
  Indicates the specified feature was installed.

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### featureRemoved

    void featureRemoved(IFeature feature)

  Deprecated.
  Indicates the specified feature was removed (uninstalled)

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### featureConfigured

    void featureConfigured(IFeature feature)

  Deprecated.
  Indicates the specified feature was configured.

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### featureUnconfigured

    void featureUnconfigured(IFeature feature)

  Deprecated.
  Indicates the specified feature was unconfigured.

  Parameters:
    `feature` - the feature
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.